
var api = "http://192.168.2.222/api/json";
var fullscreenPhoto ;
var isFullscreen = false;
$(function() {
	// hned na začátku vyberem seznam alb
	$.getJSON(api+"/index", function(json) {
		$.each(json, function(a, row) {
			//console.log(row);
			$("#fotoalba").append("<option value='"+row.id+"'>"+row.name+"</option>");
		});
		$("#fotoalba").change();
	});
	// při výběru fotoalba ho změníme
	$("#fotoalba").change(function() {
		changeFotoalbum($(this).val(), $(this).find("option").eq(this.selectedIndex).text());
	});
	// při kliku na fotku
	$("body").on("click", ".fotka_container", function() {
		toFullscreen($(this));
	});
	// při změně velikosti okna
	$(window).resize(function() {
		// v případě zmenšení musíme přepočítat velikosti obrázků v případě fullscreenu
		recalculateFullscreen();
	})
	// potřebujeme kontrolvat určité klávesy, pokud je fullscreen
	$(document).keydown(function(e) {
		if (!isFullscreen) {
			return;
		}

		switch(e.which) {
			case 27:  //esc
				$("#fotka_fullscreen").fadeOut(300);
			break;
			case 37: // doleva
				switchPhoto(-1)
				e.preventDefault(); // zabruánínme posunutí stránky

			break;


			case 39: // pravo
				switchPhoto(+1);
				e.preventDefault(); // zabruánínme posunutí stránky
			break;
			case 70: // f
				requestFullScreen();
			break;


			default: return; // ostatní klíče
		}
		
	});
	$(".sipka.left").click(function() {
		switchPhoto(-1);
	})
	$(".sipka.right").click(function() {
		switchPhoto(+1);
	})
	

});

// při zvětšení nebo otevření fullscreen obrázku musíme napočítat jeho výšku a šířku (i maximálníí), aby nebyla moc přes nebo zdeformovaná. Bohužel mi to nešlo na procenta v css tak jsem to provedl takto, ikdyž to není moc hezký 
function recalculateFullscreen() {
	
	var fotka_fullscreen_img = $("#fotka_fullscreen img");

	fotka_fullscreen_img.css("max-height", +($(window).height() - 30)+"px");
	
	var winWidth = $(window).width();
	var fotkaWidth = fotka_fullscreen_img.width();
	var imgW = Math.min(fotkaWidth, winWidth);
	fotka_fullscreen_img.parent(".fotka").css("width", imgW);

	$("#fotka_fullscreen .popisek").css("width", imgW+"px");
	
}
function requestFullScreen() {
	var element = document.body;
    var requestMethod = element.requestFullScreen || element.webkitRequestFullScreen || element.mozRequestFullScreen || element.msRequestFullscreen;

    if (requestMethod) { // nativní fullscreen funguje a je
        requestMethod.call(element);
    } 
}

function switchPhoto(increment) {
	
	$(".fotka_container[data-fotoid='"+(fullscreenPhoto*1+increment)+"']").click();
}

function toFullscreen(imgcontainer) {
	isFullscreen = true;
	fullscreenPhoto = imgcontainer.attr("data-fotoid");
	
	
	$("#fotka_fullscreen .content").html("<div class='fotka'><img src='"+imgcontainer.find(".fotka img").attr("src")+"' /></div>");
	if (imgcontainer.find(".popis").text()) { // jen pokud je uveden popisek
		$("#fotka_fullscreen .content").append("<div class='popisek'>"+(imgcontainer.find(".popis").text())+"</div>");
	}
	$("#fotka_fullscreen").fadeIn(300);
	recalculateFullscreen();

}

function changeFotoalbum(id, name) {
	$("#nazev").html(name);
	$.getJSON(api+"/"+id, function(json) {
		$(".fotky").html("");
		$.each(json, function(a, row) {
			$(".fotky").append("<div class='fotka_container' data-fotoid='"+a+"'><div class='fotka'><img src='"+row.url+"' /></div><div class='popis'>"+row.description+"</div></div>");
		});
	});
}